net.corda.core.contracts

## Enum DateRollDirection

-     public enum DateRollDirection

  This is utilised in the `enum DateRollConvention` class to determine which way we should initially step when finding a business day.

  See Also:
    `enum DateRollConvention`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKWARD`
    `FORWARD`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getValue()`

- - ### Enum Constant Detail

    - #### FORWARD

          public static DateRollDirection FORWARD

    - #### BACKWARD

          public static DateRollDirection BACKWARD

  - ### Method Detail

    - #### getValue

          public long getValue()